Bug 209405 - logwatch does not understand postfix 2.3.3 logs
logwatch does not understand postfix 2.3.3 logs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 04:48 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-10-05 04:48:02 EDT
logwatch-7.3-5 prints hundreds of "unmatched entries" lines while processing
postfix-2.3.3-2 logs

 **Unmatched Entries**
 
 CD2D2F8009: to=<slavito@xxxxxxxxx.xxx>, relay=yyy.yyyyy.yyy[1.1.1.1]:25,
delay=0.55, delays=0.1/0.03/0.08/0.35, dsn=2.0.0, status=sent (250 2.0.0 Ok:
queued as 1B14E109A3B)
Comment 1 Ivana Varekova 2006-10-20 08:32:47 EDT
The last version of logwatch logwatch-7.3.1-1 should fix this problem. Could you
try to reproduce this bug with logwatch-7.3.1-1 and if there remains any
"unmatched" log in postfix section, could you please attach this log.
Comment 2 Need Real Name 2006-10-20 13:16:41 EDT
The logwatch-7.3.1-1 fixes most, but not all problems:

 **Unmatched Entries**
 
 249AA109A43: to=<fawn@ispmenu.com>, relay=local, delay=0.01, delays=0/0.01/0/0,
dsn=5.1.1, status=undeliverable (unknown user: "fawn")
 31833109A43: sender non-delivery notification: 0047C109A63
 BEA81109A43: to=<aj@gromco.com>, relay=local, delay=0, delays=0/0/0/0,
dsn=5.1.1, status=undeliverable (unknown user: "aj")
 9A419109A43: to=<yaoqep@gromco.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "yaoqep")
 276FF109A43: sender non-delivery notification: 6C924109A63
 11AAF109A43: to=<postmaster@home.gromco.com>, orig_to=<postmaster@home>,
relay=none, delay=0.04, delays=0/0.01/0.03/0, dsn=5.4.4, status=undeliverable
(Host or domain name not found. Name service error for name=home.gromco.com
type=A: Host not found)
 5AF1C109A43: sender non-delivery notification: 9F500109A63
 B87D6109A43: to=<onvhj@gromco.com>, relay=local, delay=0.01, delays=0/0.01/0/0,
dsn=5.1.1, status=undeliverable (unknown user: "onvhj")
 9EC5B109A43: to=<Pedrolonniee@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "pedrolonniee")
 AA742109A43: to=<lonniee@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "lonniee")
 D367C109A43: to=<ltw@webhostingmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "ltw")
 F3241109A43: sender non-delivery notification: CDA09109A63
 07E8A109A43: to=<.2qcjeg._@v.gromco.com>, orig_to=<.2qcjeg._@v>, relay=none,
delay=0.04, delays=0/0.01/0.03/0, dsn=5.4.4, status=undeliverable (Host or
domain name not found. Name service error for name=v.gromco.com type=A: Host not
found)
 6BA46109A43: to=<pipesi@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "pipesi")
 6F9E9109A43: sender non-delivery notification: 31976109A63
 5FE16109A43: sender non-delivery notification: BE83A109A63
 21BAA109A43: sender non-delivery notification: 287C8109A63
 1B31B109A43: to=<bibeaue@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "bibeaue")
 4392D109A43: to=<pjshll@gromco.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "pjshll")
 5CE97109A43: sender non-delivery notification: 27D96109A63
 D99A8109A43: sender non-delivery notification: 91274109A63
 77C50109A43: sender non-delivery notification: 5186A109A63
 F10E8109A43: sender non-delivery notification: 38574109A63
 0DCA7109A43: to=<yufwop@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "yufwop")
Comment 3 Ivana Varekova 2006-10-23 10:03:05 EDT
Fixed in logwatch-7.3.1-3.fc7.
Comment 4 Need Real Name 2006-10-29 18:16:10 EST
messages with with logwatch-7.3.1-3

**Unmatched Entries**
 
 C9A15109A6C: to=<admin@facecake.gromco.com>, orig_to=<admin@facecake>,
relay=none, delay=0.04, delays=0/0.01/0.03/0, dsn=5.4.4, status=undeliverable
(Host or domain name not found. Name service error for name=facecake.gromco.com
type=A: Host not found)
 48F9C109A6C: to=<bibeaue@ispmenu.com>, relay=local, delay=0, delays=0/0/0/0,
dsn=5.1.1, status=undeliverable (unknown user: "bibeaue")
 AE19F109A67: to=<creditcardmenu@gromco.com>, relay=local, delay=0,
delays=0/0/0/0, dsn=2.0.0, status=deliverable (aliased to slava)
 DBE29109A67: to=<rodney@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "rodney")
 ACAD4109A6B: to=<cearamercha@ispmenu.com>, relay=local, delay=0.01,
delays=0.01/0/0/0, dsn=5.1.1, status=undeliverable (unknown user: "cearamercha")
 01190109A6C: to=<atiyaht@h.gromco.com>, orig_to=<atiyaht@h>, relay=none,
delay=0.04, delays=0/0.01/0.03/0, dsn=5.4.4, status=undeliverable (Host or
domain name not found. Name service error for name=h.gromco.com type=A: Host not
found)
 64B6E109A6B: to=<bibeaue@ispmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "bibeaue")
 018DE109A6B: sender non-delivery notification: 40124109A6D
 01CF8109A6C: to=<postmaster@webregio4.gromco.com>,
orig_to=<postmaster@webregio4>, relay=none, delay=0.13, delays=0/0.01/0.12/0,
dsn=5.4.4, status=undeliverable (Host or domain name not found. Name service
error for name=webregio4.gromco.com type=A: Host not found)
 978D0109A6B: to=<cloud@COMP.gromco.com>, orig_to=<cloud@COMP>, relay=none,
delay=0.04, delays=0/0.01/0.04/0, dsn=5.4.4, status=undeliverable (Host or
domain name not found. Name service error for name=COMP.gromco.com type=A: Host
not found)
 61B8E109A6B: to=<brn@creditcardmenu.com>, relay=local, delay=0, delays=0/0/0/0,
dsn=5.1.1, status=undeliverable (unknown user: "brn")
 B1527109A6B: to=<hhbtav@creditcardmenu.com>, relay=local, delay=0.01,
delays=0/0.01/0/0, dsn=5.1.1, status=undeliverable (unknown user: "hhbtav")
Comment 5 Need Real Name 2006-10-30 04:27:50 EST
The problems are partially fixed in logwatch-7.3.1-3.fc7, 
other problems remain
Comment 6 Ivana Varekova 2006-10-30 09:42:57 EST
The remaining problem should be fixed in logwatch-7.3.1-4.fc7.
If the problem with logwatch sendmail script resists could you please reopen
this bug and attach your /var/log/maillog file (or the part which causes the
unmatched logs).

Note You need to log in before you can comment on or make changes to this bug.